    Return one or all options for the iterative-fitting scheme.

get_iter_method_opt(optname=None)
optname - str, optional

The options available for the iterative-fitting methods are described in `set_iter_method_opt` .

Display the settings of the current iterative-fitting method:

>>> print(get_iter_method_opt())

Switch to the sigmarej scheme and find out the current settings:

>>> set_iter_method('sigmarej') >>> opts = get_iter_method_opt()

Return the 'maxiters' setting (if applicable):

>>> get_iter_method_opt('maxiters')

PARAMETERS

The parameter for this function is:

Parameter
Definition
optname
If not given, a dictionary of all the options are returned. When given, the individual value is returned.

The return value from this function is:

value -- The dictionary is empty when no iterative scheme is being used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023